org.h2.result

## Class LocalResultFactory

- java.lang.Object
- - org.h2.result.LocalResultFactory

    public abstract class LocalResultFactory
    extends java.lang.Object

Creates local result.

### Field Summary

Fields
`static LocalResultFactory` `DEFAULT` Default implementation of local result factory.

### Constructor Summary

Constructors
Constructor and Description
`LocalResultFactory()`

### Method Summary

Methods
`abstract LocalResult` `create()` Create a local result object.
`abstract LocalResult` `create(Session session, Expression[] expressions, int visibleColumnCount, int resultColumnCount)` Create a local result object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final LocalResultFactory DEFAULT

Default implementation of local result factory.

### Constructor Detail

#### LocalResultFactory

    public LocalResultFactory()

### Method Detail

#### create

    public abstract LocalResult create(Session session,
                     Expression[] expressions,
                     int visibleColumnCount,
                     int resultColumnCount)

Create a local result object.

Parameters:
  `session` - the session
  `expressions` - the expression array
  `visibleColumnCount` - the number of visible columns
  `resultColumnCount` - the number of columns including visible columns and additional virtual columns for ORDER BY and DISTINCT ON clauses
Returns:
  object to collect local result.

#### create

    public abstract LocalResult create()

Create a local result object.

Returns:
  object to collect local result.